/**
* Copyright(c) 2011 Sunmedia Technologies - All Rights Reserved.
*
* @file
*
* @brief this file describes wide screen signaling parsing the interface
*/
#include <ctype.h>
#include "al_basictypes.h"
#include "ai_debug_config.h"
#include "gl_mempool.h"
#include "mid_tvfe.h"

#if WSS_DBG_FLAG
	#define WSS_DEBUG_MESSAGE(fmt, arg...) \
	do { \
		UMFDBG(0,"[Debug]%s: %d Line ", __FUNCTION__, __LINE__); \
		UMFDBG(0,fmt, ##arg); \
	} while(0)
#else
	#define WSS_DEBUG_MESSAGE(fmt,arg...);
#endif

#if WSS_ERROR_FLAG
	#define WSS_ERROR_MESSAGE(fmt, arg...) \
	do { \
		UMFDBG(0,"[Error]%s: %d Line ", __FUNCTION__, __LINE__); \
		UMFDBG(0,fmt, ##arg); \
	} while(0)
#else
	#define WSS_ERROR_MESSAGE(fmt, arg...);
#endif

/**
* @brief the function can get WSS information.
*
* @param *WssInfo get wss information.
*
* @return AL_SUCCESS if getting wss information is successful,
* AL_FAILURE otherwise.
*/
AL_Return_t AL_WSS_GetInfo(al_uint8 *WssInfo)
{
	if(WssInfo == al_null)
	{
		WSS_ERROR_MESSAGE("\n invalid WSS parameter!!!!!!!!!\n");
		return AL_FAILURE;
	}
    *WssInfo = MID_TVFE_CVD2_TTX_GetWssData();
	return AL_SUCCESS;
}

